from science_signal.signal import Signal
from dataclasses import dataclass


@dataclass
class Movements:
    """
    Container for the movement of the bench and the mirror
    """

    bench: Signal
    mirror: Signal

    def __init__(self, bench: Signal, mirror: Signal):
        self.bench = bench * 1e-6
        self.mirror = mirror * 1e-6
